• last updated 21 hours ago
Constraints
Constraints: committers
 
Constraints: files
Constraints: dates
Add missing where clause from previous upgrade... Oracle was indeed affected as well

    • -0
    • +286
    ./oracle/upgrade/upgrade-1.1.5d1-1.1.5d2.sql
    • -0
    • +89
    ./postgresql/upgrade/upgrade-1.1.5d1-1.1.5d2.sql
  1. … 1 more file in changeset.
file upgrade-1.1.5d1-1.1.5d2.sql was initially added on branch oacs-5-10.

    • -0
    • +0
    ./oracle/upgrade/upgrade-1.1.5d1-1.1.5d2.sql
    • -0
    • +0
    ./postgresql/upgrade/upgrade-1.1.5d1-1.1.5d2.sql
Apply fix to category__change_parent provided by franz.penz@km.at

apparently Oracle was not affected

  1. … 1 more file in changeset.
file upgrade-1.1.4-1.1.5d1.sql was initially added on branch oacs-5-10.

    • -0
    • +0
    ./postgresql/upgrade/upgrade-1.1.4-1.1.5d1.sql
merged changes from the oacs-5-9 branch and resolved conflicts

    • -3
    • +3
    ./oracle/upgrade/upgrade-1.0d3-1.0d4.sql
    • -3
    • +3
    ./postgresql/category-synonym-package.sql
    • -4
    • +4
    ./postgresql/category-tree-package.sql
    • -0
    • +260
    ./postgresql/upgrade/upgrade-1.1.3d4-1.1.3d5.sql
    • -0
    • +13
    ./postgresql/upgrade/upgrade-1.1.3d6-1.1.3d7.sql
  1. … 7823 more files in changeset.
Fix spelling errors

    • -3
    • +3
    ./oracle/upgrade/upgrade-1.0d3-1.0d4.sql
  1. … 6 more files in changeset.
- remove leftovers from earlier upgrades

- bump version number to 1.1.3d8

  1. … 1 more file in changeset.
file upgrade-1.1.3d7-1.1.3d8.sql was initially added on branch oacs-5-9.

    • -0
    • +0
    ./postgresql/upgrade/upgrade-1.1.3d7-1.1.3d8.sql
acs_privilege_descendant_map is obsolete: http://openacs.org/forums/message-view?message_id=5330206

Remove possibly leftover definition of category_tree__new/9 stored procedure.

It can still be present on old upgraded installations, conflicting with the new one (different argument types...)

    • -0
    • +14
    ./postgresql/upgrade/upgrade-1.1.3d4-1.1.3d5.sql
    • -0
    • +13
    ./postgresql/upgrade/upgrade-1.1.3d6-1.1.3d7.sql
  1. … 1 more file in changeset.
file upgrade-1.1.3d6-1.1.3d7.sql was initially added on branch oacs-5-9.

    • -0
    • +0
    ./postgresql/upgrade/upgrade-1.1.3d6-1.1.3d7.sql
- add missing upgrade script

file upgrade-1.1.3d5-1.1.3d6.sql was initially added on branch oacs-5-9.

    • -0
    • +0
    ./postgresql/upgrade/upgrade-1.1.3d5-1.1.3d6.sql
- update dirty editor buffer

    • -2
    • +2
    ./postgresql/category-tree-package.sql
file upgrade-1.1.3d4-1.1.3d5.sql was initially added on branch oacs-5-9.

    • -0
    • +0
    ./postgresql/upgrade/upgrade-1.1.3d4-1.1.3d5.sql
Alter caveman style booleans (type character(1)) to real SQL boolean types.

    • -3
    • +3
    ./postgresql/category-synonym-package.sql
    • -2
    • +2
    ./postgresql/category-tree-package.sql
    • -0
    • +246
    ./postgresql/upgrade/upgrade-1.1.3d4-1.1.3d5.sql
  1. … 1 more file in changeset.
- add function args missed by earlier upgrades

- bump version numbers

    • -0
    • +29
    ./postgresql/upgrade/upgrade-1.1.3d3-1.1.3d4.sql
  1. … 9 more files in changeset.
- update postgres function to modern style plpgsql definitions using dollar quoting

    • -11
    • +11
    ./postgresql/categories-init.sql
    • -23
    • +23
    ./postgresql/categories-relation.sql
    • -17
    • +32
    ./postgresql/category-link-package.sql
    • -123
    • +156
    ./postgresql/category-package.sql
    • -77
    • +154
    ./postgresql/category-synonym-package.sql
    • -150
    • +183
    ./postgresql/category-tree-package.sql
    • -17
    • +20
    ./postgresql/upgrade/upgrade-1.0d1-1.0d2.sql
    • -41
    • +63
    ./postgresql/upgrade/upgrade-1.0d6-1.0d7.sql
    • -19
    • +21
    ./postgresql/upgrade/upgrade-1.1.2d1-1.1.2d2.sql
    • -10
    • +17
    ./postgresql/upgrade/upgrade-1.1.2d2-1.1.2d3.sql
    • -16
    • +18
    ./postgresql/upgrade/upgrade-1.1.2d3-1.1.2d4.sql
    • -16
    • +20
    ./postgresql/upgrade/upgrade-1.1d1-1.1d2.sql
    • -58
    • +55
    ./postgresql/upgrade/upgrade-1.1d2-1.1d3.sql
    • -27
    • +27
    ./postgresql/upgrade/upgrade-1.1d3-1.1d4.sql
  1. … 27 more files in changeset.
dont give table and id columns for tables that do not exist; maybe there should be an upgrade to fix this as well

Basic package drop works now for PostgreSQL (Oracle will come later)

    • -16
    • +10
    ./postgresql/categories-drop.sql
- fix incorrect reference to table in category_tree__copy

- revert a change of don to make categories admin interface working again.

    • -1
    • +1
    ./postgresql/category-tree-package.sql
  1. … 1 more file in changeset.
Fixed apparently untested fix by gustafn that tried to update a table

using the syntax "update categories c set ...", which is not SQL.

    • -1
    • +1
    ./postgresql/category-tree-package.sql
fix 2 bugs

- call to a non-existing acs_object__new with 5 args

- 2 table references were incorrect in category_tree__copy

    • -2
    • +3
    ./postgresql/category-tree-package.sql
    • -0
    • +63
    ./postgresql/upgrade/upgrade-1.1.2d3-1.1.2d4.sql
  1. … 1 more file in changeset.
Fix typo, require_category_p duplicated. Should be widget instead.

Fix missing column "widget" in category_tree_map in Oracle; strangely enough, the upgrade script was available.

Fix missing column "widget" in category_tree_map in Oracle

Fixed problem with repeat parameter on category_tree.map procedure

add update script

    • -0
    • +18
    ./postgresql/upgrade/upgrade-1.1.2d2-1.1.2d3.sql
  1. … 1 more file in changeset.
add missing alias for function category__name

  1. … 1 more file in changeset.
Fixing problem with missing widget

    • -0
    • +9
    ./oracle/upgrade/upgrade-1.1.2d1-1.1.2d2.sql
    • -3
    • +5
    ./postgresql/category-tree-package.sql
    • -0
    • +39
    ./postgresql/upgrade/upgrade-1.1.2d1-1.1.2d2.sql
  1. … 1 more file in changeset.